ranges::views::cpp20_counted_fn Struct Reference

## Public Member Functions

template<typename I >
| CPP_TEMPLATE_AUX_0 (requires ` input_or_output_iterator< I > &&(!random_access_iterator< I >)) subrange< counted_iterator< I >
default_sentinel_t | operator() (I it, iter_difference_t< I > n) const
template<typename I >
CPP_TEMPLATE_AUX_0 | s (requires ` random_access_iterator< I >) sssubrange< I > operator()(I it

## Public Attributes

CPP_TEMPLATE_AUX_0 iter_difference_t< I > n | const

## Member Data Documentation

## const

CPP_TEMPLATE_AUX_0 iter_difference_t<I> n ranges::views::cpp20_counted_fn::const

Initial value:
{
return {it, it + n}